From 14b5d8b33068ae02e60f7e76a3e84705812bbaf3 Mon Sep 17 00:00:00 2001
From: Fabien Boucher <fboucher@redhat.com>
Date: Sep 27 2022 10:43:45 +0000
Subject: Remove outdated nodeset (older than F35)


---

diff --git a/FZCI.dhall/Nodesets.dhall b/FZCI.dhall/Nodesets.dhall
index 9a35a25..ed3176b 100644
--- a/FZCI.dhall/Nodesets.dhall
+++ b/FZCI.dhall/Nodesets.dhall
@@ -8,11 +8,6 @@ let Nodeset =
             | Fedora-37-Container
             | Fedora-36-Container
             | Fedora-35-Container
-            | Fedora-34-Container
-            | Fedora-33-Container
-            | Fedora-32-Container
-            | Fedora-31-Container
-            | Fedora-30-Container
             | Centos-8-Container
             | Centos-7-Container
             | Fedora-Rawhide-VM
@@ -20,21 +15,11 @@ let Nodeset =
             | Fedora-37-VM
             | Fedora-36-VM
             | Fedora-35-VM
-            | Fedora-34-VM
-            | Fedora-33-VM
-            | Fedora-32-VM
-            | Fedora-31-VM
-            | Fedora-30-VM
             | Fedora-Rawhide-VM-Medium
             | Fedora-Latest-VM-Medium
             | Fedora-37-VM-Medium
             | Fedora-36-VM-Medium
             | Fedora-35-VM-Medium
-            | Fedora-34-VM-Medium
-            | Fedora-33-VM-Medium
-            | Fedora-32-VM-Medium
-            | Fedora-31-VM-Medium
-            | Fedora-30-VM-Medium
             | Centos-8-VM
             | Centos-Stream-9-VM
             >
@@ -44,11 +29,6 @@ let Nodeset =
             , Union.Fedora-37-Container
             , Union.Fedora-36-Container
             , Union.Fedora-35-Container
-            , Union.Fedora-34-Container
-            , Union.Fedora-33-Container
-            , Union.Fedora-32-Container
-            , Union.Fedora-31-Container
-            , Union.Fedora-30-Container
             , Union.Centos-8-Container
             , Union.Centos-7-Container
             , Union.Fedora-Rawhide-VM
@@ -56,21 +36,11 @@ let Nodeset =
             , Union.Fedora-37-VM
             , Union.Fedora-36-VM
             , Union.Fedora-35-VM
-            , Union.Fedora-34-VM
-            , Union.Fedora-33-VM
-            , Union.Fedora-32-VM
-            , Union.Fedora-31-VM
-            , Union.Fedora-30-VM
             , Union.Fedora-Rawhide-VM-Medium
             , Union.Fedora-Latest-VM-Medium
             , Union.Fedora-37-VM-Medium
             , Union.Fedora-36-VM-Medium
             , Union.Fedora-35-VM-Medium
-            , Union.Fedora-34-VM-Medium
-            , Union.Fedora-33-VM-Medium
-            , Union.Fedora-32-VM-Medium
-            , Union.Fedora-31-VM-Medium
-            , Union.Fedora-30-VM-Medium
             , Union.Centos-8-VM
             , Union.Centos-Stream-9-VM
             ]
@@ -100,16 +70,6 @@ let Nodeset =
                     create "fedora-36-container" "zuul-worker-f36" "container"
                 , Fedora-35-Container =
                     create "fedora-35-container" "zuul-worker-f35" "container"
-                , Fedora-34-Container =
-                    create "fedora-34-container" "zuul-worker-f34" "container"
-                , Fedora-33-Container =
-                    create "fedora-33-container" "pod-fedora-33" "container"
-                , Fedora-32-Container =
-                    create "fedora-32-container" "pod-fedora-32" "container"
-                , Fedora-31-Container =
-                    create "fedora-31-container" "pod-fedora-31" "container"
-                , Fedora-30-Container =
-                    create "fedora-30-container" "pod-fedora-30" "container"
                 , Centos-8-Container =
                     create "centos-8-container" "pod-centos-8" "container"
                 , Centos-7-Container =
@@ -130,16 +90,6 @@ let Nodeset =
                     create "fedora-36-vm" "cloud-fedora-36-small" "cloud-host"
                 , Fedora-35-VM =
                     create "fedora-35-vm" "cloud-fedora-35-small" "cloud-host"
-                , Fedora-34-VM =
-                    create "fedora-34-vm" "cloud-fedora-34-small" "cloud-host"
-                , Fedora-33-VM =
-                    create "fedora-33-vm" "cloud-fedora-33-small" "cloud-host"
-                , Fedora-32-VM =
-                    create "fedora-32-vm" "cloud-fedora-32-small" "cloud-host"
-                , Fedora-31-VM =
-                    create "fedora-31-vm" "cloud-fedora-31-small" "cloud-host"
-                , Fedora-30-VM =
-                    create "fedora-30-vm" "cloud-fedora-30-small" "cloud-host"
                 , Fedora-Rawhide-VM-Medium =
                     create
                       "fedora-rawhide-vm-medium"
@@ -165,31 +115,6 @@ let Nodeset =
                       "fedora-35-vm-medium"
                       "cloud-fedora-35-medium"
                       "cloud-host"
-                , Fedora-34-VM-Medium =
-                    create
-                      "fedora-34-vm-medium"
-                      "cloud-fedora-34-medium"
-                      "cloud-host"
-                , Fedora-33-VM-Medium =
-                    create
-                      "fedora-33-vm-medium"
-                      "cloud-fedora-33-medium"
-                      "cloud-host"
-                , Fedora-32-VM-Medium =
-                    create
-                      "fedora-32-vm-medium"
-                      "cloud-fedora-32-medium"
-                      "cloud-host"
-                , Fedora-31-VM-Medium =
-                    create
-                      "fedora-31-vm-medium"
-                      "cloud-fedora-31-medium"
-                      "cloud-host"
-                , Fedora-30-VM-Medium =
-                    create
-                      "fedora-30-vm-medium"
-                      "cloud-fedora-30-medium"
-                      "cloud-host"
                 , Centos-8-VM =
                     create "centos-8-vm" "cloud-centos-8-stream" "cloud-host"
                 , Centos-Stream-9-VM =

